.profile{
    padding-bottom: 72px;
    &__inner{
        display: flex;
        align-items: flex-start;
        justify-content: space-between;
    }

    &__left{
        max-width: 306px;
        width: 100%;
        min-height: 649px;
        background: var(--profileSideBar-color);
        border-radius: 8px;
        padding: 37px 43px 51px 35px;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        &-title{
            @include font(16px, 'GothamPro', var(--lang-color), 16px, 500);
            &.mr{
                margin-right: 44px;
            }
        }
    }

    &__line{
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        &.down{
            align-items: flex-end;
        }
        &.bigMB{
            margin-bottom: 30px;
        }
        &.active{
            .profile__line-line:nth-of-type(2){
                transform: rotate(0);
            }
        }
        &-openClose{
            &.orange{
                div{
                    background: $orange
                }
            }
        }
        &-line{
            height: 1.3px;
            width: 21px;
            background: var(--main);
            @include transition;
            &:first-of-type{
                transform: translate(0px , 1px);
            }
            &:last-of-type{
                transform: rotate(90deg);
            }
        }
        &.js-openClose-menu{
            cursor: pointer;
        }
    }

    &__box{
        width: 100%;
        &-content{
            > *:first-child{
                margin-top: 15px;
            }
            &.notMt{
                margin-top: 0;
            }
        }
        &-item{
            @include font(14px, 'Inter', var(--lang-color), 17px, 400);
            @include transition;
            &:hover{
                color: darken(#FF5C00, 5%);
            }
            &.active{
                color: #FF5C00;
            }
        }
    }

    &__hr{
        padding: 0;
        margin: 28px 0px 38px;
        width: 100%;
        border: 0;
        height: 0.4px;
        background: #7E7E7E;
    }

    &__toggleTheme{
        margin-top: auto;
        display: flex;
        align-items: center;
        &-toggle{
            position: relative;
            cursor: pointer;
            &--circle{
                @include box(34px, 50%);
                background: var(--toggleTheme-circle);
                position: absolute;
                @include TLa(0, 1px);
                @include verCenterAbsol;
                @include transition;
            }
            &--background{
                width: 67px;
                height: 36px;
                background: var(--toggleTheme-place);
                border-radius: 17px;
            }
        }
    }

    &__center{
        max-width: 55%;
        width: 100%;
        margin-top: 32px;
        padding: 0px 20px;
        &-top{
            display: flex;
            align-items: center;
            justify-content: space-between;
            position: relative;
            margin-bottom: 73px;
            &::before{
                content: '';
                width: 100%;
                background: var(--profile-hr);
                position: absolute;
                height: 0.4px;
                @include BLa(-32px, 0);
            }
        }
        &-column{
            display: flex;
            flex-direction: column;
            &.full{
                width: 100%;
            }
            &.mr{
                margin-right: 86px;
            }
        }
        &-bottom{
            display: flex;
            justify-content: flex-start;
        }
        &-img{
            @include box(285px, 8px);
            object-fit: cover;
            margin-bottom: 11px;
        }
        &-input{
            width: 100%;
            padding-bottom: 15px;
            @include font(16px, 'GothamPro', var(--input-color), 16px);
            border-bottom: 0.5px solid var(--input-hr);
            &:not(:last-of-type){
                margin-bottom: 40px;
            }
        }
    }

    &__title{
        @include font(20px, 'Montserrat', var(--lang-color), 25px, 600);
    }

    &__top{
        &-right{
            display: flex;
            align-items: center;
            &--link{
                display: flex;
                align-items: center;
                position: relative;
                svg:first-of-type{
                    display: none;
                }
                &.active{
                    &::before{
                        content: '';
                        position: absolute;
                        @include BLa(-35.5px, 0);
                        @include horCenterAbsol;
                        width: 130%;
                        height: 4px;
                        border-radius: 3px 3px 0 0;
                        background: $orange;
                    }
                }
                svg{
                    @include transition;
                }
                &:hover{
                    svg{
                        transform: translateX(3px);
                    }
                }
                &:not(:last-of-type){
                    margin-right: 135px;
                }
                &:last-of-type{
                    margin-right: 25px;
                }
            }

            &--span{
                @include font(16px, 'Montserrat', var(--lang-color), 20px, 600);
                margin-right: 18px;
            }
        }
    }

    &__changePhoto{
        width: 285px;
        padding: 13px 0px 10px;
        margin-bottom: 12px;
        font-size: 14px !important;
        font-weight: 600;
    }

    &__changePass{
        width: 285px;
        padding: 13px 0px 10px;
        border-color: #E1E1E1 !important;
        p{
            font-size: 14px !important;
            font-weight: 600;
            color: var(--profile-changePass) !important;
        }
        &:hover{
            border-color: $orange !important;
            p{
                color: white !important;
            }
        }
    }

    &__right{
        max-width: 306px;
        width: 100%;
        &-box{
            max-width: 306px;
            background: var(--profileSideBar-color);
            border-radius: 8px;
            padding: 37px 43px 51px 35px;
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            &:first-of-type{
                min-height: 296px;
            }
            &:nth-of-type(2){
                padding-top: 22px;
                padding-bottom: 22px;
            }
            &:not(:last-of-type){
                margin-bottom: 17px;
            }
        }
        &-hr{
            width: 100%;
            border: 0;
            height: 0.4px;
            background: var(--profile-hr);
            margin: 26px 0px 24px;
            &:first-of-type{
                margin-top: 0;
            }
        }
    }

    &__miniText{
        @include font(12px, 'Montserrat', var(--lang-color), 15px, 600);
    }

    &__money{
        @include font(20px, 'Montserrat', #FF5C00, 25px, 600);
        &-text{
            @include font(12px, 'Montserrat', var(--lang-color), 15px, 600);
        }
    }

    &__basket{
        position: relative;
        &-icon{
            *{
                fill: var(--lang-color);
            }
        }
        &-num{
            min-width: 16px;
            min-height: 16px;
            background: $orange;
            border-radius: 50%;
            @include font(10px, 'Frutiger', white, auto, 300, 0.005em);
            position: absolute;
            display: flex;
            @include flexCenter;
            @include BRa(-3px, -3px);
            padding-top: 1px;
        }
    }

    &__grid{
        @include grid(3, 1fr, 50px);
        &-box{
            min-height: 302px;
            padding: 20px 20px 40px 20px;
            display: flex;
            flex-direction: column;
            @include flexCenter;
            background: var(--gridBox-back);
            border-radius: 8px;
            @include transition;
            position: relative;
            &:hover{
                background: #FF7F2D;
                .profile__grid-icon--background{
                    background: #FF9B5B;
                }
                p{
                    color: white;
                }
                svg *{
                    fill: white;
                }
            }
            &:nth-of-type(2){
                svg{
                    margin-top: 20px;
                    margin-left: 20px;
                }
            }
        }
        &-icon{
            position: relative;
            margin-bottom: 40px;
            svg{
                position: relative;
                z-index: 2;
            }
            svg *{
                @include transition;
            }
            &--background{
                @include box(148px, 50%);
                background: var(--gridBox-circle);
                position: absolute;
                @include abosluteCenter;
                @include transition;
                z-index: 1;
            }
        }
        &-text{
            @include font(16px, 'GothamPro', var(--lang-color), 16px, 400);
            text-align: center;
            position: absolute;
            @include BLa(40px, 0);
            @include horCenterAbsol;
            width: 100%;
        }
    }
}

.dark{
    .profile__toggleTheme-toggle--circle{
        transform: translate(31px, -50%);
    }
}

.slider-tooltip-top{
    display: none!important;
}

.slider-target{
    margin-top: 20px;
}

.slider-connect{
    background-color: rgb(27, 29, 30)!important;
}

.slider-base{
    height: 1px!important;
    background-color: rgb(27, 29, 30)!important;
}

.slider-handle{
    background: #545b5f !important;
    box-shadow: none !important;
}
